OGRE-Next: Ogre::Win32EGLContext Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::Win32EGLContext Class Reference

`#include <OgreWin32EGLContext.h>`

Inheritance diagram for Ogre::Win32EGLContext:
[legend]

## Public Member Functions
| Win32EGLContext (EGLDisplay eglDisplay, const EGLSupport *glsupport, ::EGLConfig fbconfig, ::EGLSurface drawable)
virtual | ~Win32EGLContext ()
GLES2Context * | clone () const
| Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.
Public Member Functions inherited from Ogre::EGLContext
| EGLContext (EGLDisplay eglDisplay, const EGLSupport *glsupport, ::EGLConfig fbconfig, ::EGLSurface drawable)
| EGLContext (EGLDisplay eglDisplay, EGLGLSupport *glsupport, ::EGLConfig fbconfig, ::EGLSurface drawable, ::EGLContext context=0)
virtual | ~EGLContext ()
virtual | ~EGLContext ()
virtual void | _createInternalResources (EGLDisplay eglDisplay, ::EGLConfig glconfig, ::EGLSurface drawable, ::EGLContext shareContext)
virtual void | _destroyInternalResources ()
virtual void | endCurrent ()
| This is called before another context is made current.
virtual void | endCurrent ()
| This is called before another context is made current.
EGLSurface | getDrawable () const
virtual void | setCurrent ()
| Enable the context.
virtual void | setCurrent ()
| Enable the context.
Public Member Functions inherited from Ogre::GL3PlusContext
| GL3PlusContext ()
virtual | ~GL3PlusContext ()
bool | getInitialized ()
virtual void | releaseContext ()
| Release the render context.
void | setInitialized ()
Public Member Functions inherited from Ogre::GLES2Context
| GLES2Context ()
virtual | ~GLES2Context ()
bool | getInitialized ()
virtual void | releaseContext ()
| Release the render context.
void | setInitialized ()

## Additional Inherited Members
Public Attributes inherited from Ogre::EGLContext
EGLSurface | mDrawable

## Constructor & Destructor Documentation

## ◆ Win32EGLContext()

Ogre::Win32EGLContext::Win32EGLContext | ( | EGLDisplay | eglDisplay,
|  | const EGLSupport * | glsupport,
|  | ::EGLConfig | fbconfig,
|  | ::EGLSurface | drawable )

## ◆ ~Win32EGLContext()

virtual Ogre::Win32EGLContext::~Win32EGLContext | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ clone()

GLES2Context * Ogre::Win32EGLContext::clone | ( |  | ) | const
| virtual

Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.

Note
  The caller is responsible for deleting the returned context.

Reimplemented from Ogre::EGLContext.

The documentation for this class was generated from the following file:

- OgreWin32EGLContext.h